Import a Confluence page (Confluence export)
Exports a Confluence page body to markdown and returns metadata needed for source tracking. Emits eventName `integrations.confluence.export` and…
Exports a Confluence page body to markdown and returns metadata needed for source tracking. Emits eventName integrations.confluence.export and failureEventName integrations.confluence.export_failed.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/integrations/confluence/export" \ -H "Content-Type: application/json" \ -d '{ "siteId": "string", "pageId": "string" }'{ "success": true, "data": { "markdown": "# Security Program", "page": { "id": "12345", "title": "Security Program", "url": "https://acme.atlassian.net/wiki/spaces/SEC/pages/12345", "lastEditedTime": "2026-02-20T10:00:00.000Z", "siteId": "site-123" }, "sourceId": "site-123:12345" }}How is this guide?